//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ShockwaveFlashObjects_OCX.h"
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TShockwaveFlash *MySWF;
    TPanel *Panel2;
    TButton *Button1;
    TPanel *Panel1;
    TButton *Button2;
    TButton *Button3;
    TButton *Button4;
    TButton *Button5;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
    void __fastcall Button4Click(TObject *Sender);
    void __fastcall MySWFFSCommand(TObject *Sender, BSTR command,
          BSTR args);
    void __fastcall FormResize(TObject *Sender);
private:	// User declarations
    void __fastcall StartFlashMsgHook(void);
    void __fastcall StopFlashMsgHook(void);
    void __fastcall ShowMsg(void);
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
